curl --request GET \
--url https://api.aisa.one/apis/v1/tikhub/tiktok/analytics/fetch_comment_keywords \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.aisa.one/apis/v1/tikhub/tiktok/analytics/fetch_comment_keywords"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.aisa.one/apis/v1/tikhub/tiktok/analytics/fetch_comment_keywords', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.aisa.one/apis/v1/tikhub/tiktok/analytics/fetch_comment_keywords",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.aisa.one/apis/v1/tikhub/tiktok/analytics/fetch_comment_keywords"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.aisa.one/apis/v1/tikhub/tiktok/analytics/fetch_comment_keywords")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.aisa.one/apis/v1/tikhub/tiktok/analytics/fetch_comment_keywords")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"code": 200,
"router": "/api/v1/tiktok/analytics/fetch_comment_keywords",
"params": {
"item_id": "7502551047378832671"
},
"data": {
"item_id": "7502551047378832671",
"key_words": [
{
"key_word": "tik tok",
"comments": [
{
"cid": "7502621950457463574",
"comment_author": {
"nick_name": "ollie_russell05",
"uid": "7332627012203414560"
},
"create_date": 1746840350,
"digg_count": 17,
"text": "Imagine been tik tok and only getting 700 likes 🥀🙏😭"
}
]
},
{
"key_word": "go viral",
"comments": [
{
"cid": "7502743477604680465",
"comment_author": {
"nick_name": "★ 🇦🇫",
"uid": "7274239704915149829"
},
"create_date": 1746868614,
"digg_count": 13,
"text": "I want to go viral"
}
]
}
]
}
}tiktok fetch_comment_keywords
Get comment keywords analysis
curl --request GET \
--url https://api.aisa.one/apis/v1/tikhub/tiktok/analytics/fetch_comment_keywords \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.aisa.one/apis/v1/tikhub/tiktok/analytics/fetch_comment_keywords"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.aisa.one/apis/v1/tikhub/tiktok/analytics/fetch_comment_keywords', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.aisa.one/apis/v1/tikhub/tiktok/analytics/fetch_comment_keywords",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.aisa.one/apis/v1/tikhub/tiktok/analytics/fetch_comment_keywords"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.aisa.one/apis/v1/tikhub/tiktok/analytics/fetch_comment_keywords")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.aisa.one/apis/v1/tikhub/tiktok/analytics/fetch_comment_keywords")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"code": 200,
"router": "/api/v1/tiktok/analytics/fetch_comment_keywords",
"params": {
"item_id": "7502551047378832671"
},
"data": {
"item_id": "7502551047378832671",
"key_words": [
{
"key_word": "tik tok",
"comments": [
{
"cid": "7502621950457463574",
"comment_author": {
"nick_name": "ollie_russell05",
"uid": "7332627012203414560"
},
"create_date": 1746840350,
"digg_count": 17,
"text": "Imagine been tik tok and only getting 700 likes 🥀🙏😭"
}
]
},
{
"key_word": "go viral",
"comments": [
{
"cid": "7502743477604680465",
"comment_author": {
"nick_name": "★ 🇦🇫",
"uid": "7274239704915149829"
},
"create_date": 1746868614,
"digg_count": 13,
"text": "I want to go viral"
}
]
}
]
}
}code is 200.
Example
curl "https://api.aisa.one/apis/v1/tikhub/tiktok/analytics/fetch_comment_keywords?item_id=7502551047378832671" \
-H "Authorization: Bearer YOUR_API_KEY"
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Query Parameters
Video ID, required parameter, can be obtained from video sharing links or TikTok Studio
Response
Successful Response
Return Description
item_id: The requested video IDkey_words: List of keywords extracted from comments, including:key_word: Keyword textcomments: List of comments containing this keyword, each comment includes:cid: Comment IDtext: Comment contentcreate_date: Comment creation timestampdigg_count: Number of likes on the commentcomment_type: Comment typecomment_author: Comment author informationuid: User IDnick_name: User nicknamecover: User avatar informationurl_list: List of avatar URLs
The media-type example is an illustrative response from the official documentation, not a live response. Its router and params metadata use upstream naming.
HTTP status code
Unique request identifier
Response message (EN-US)
Response message (ZH-CN)
Support message
The time the response was generated
The timestamp the response was generated
The timezone of the response time
Link to the API Swagger documentation for this endpoint
Cache message (EN-US)
Cache message (ZH-CN)
The URL to access the cached result
The endpoint that generated this response
The parameters used in the request
Endpoint-specific response payload. The official shared model does not declare a fixed type or field set. Use the operation's documented return fields or response example; an operation-specific schema, when present, describes the documented fields. Undocumented fields must be read from the actual response rather than assumed.